Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ProgressBar Class Reference

## Public Member Functions
| __init__ (self, master=None, orientation="horizontal", min=0, max=100, width=100, height=18, doLabel=1, appearance="sunken", fillColor="blue", background="gray", labelColor="yellow", labelFont="Verdana", labelText="", labelFormat="%d%%", value=50, bd=2)
| update (self)
| updateProgress (self, newValue, newMax=None)

## Public Attributes
| background = background
| canvas
| doLabel = doLabel
| fillColor = fillColor
| frame = Frame(master, relief=appearance, bd=bd)
| height = height
| label
| labelColor = labelColor
| labelFont = labelFont
| labelFormat = labelFormat
| labelText = labelText
| master = master
| max = max
| min = min
str | orientation = orientation
| scale
| value = value
| width = width

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | master = None,
|  |  | orientation = "horizontal",
|  |  | min = 0,
|  |  | max = 100,
|  |  | width = 100,
|  |  | height = 18,
|  |  | doLabel = 1,
|  |  | appearance = "sunken",
|  |  | fillColor = "blue",
|  |  | background = "gray",
|  |  | labelColor = "yellow",
|  |  | labelFont = "Verdana",
|  |  | labelText = "",
|  |  | labelFormat = "%d%%",
|  |  | value = 50,
|  |  | bd = 2 )

## Member Function Documentation

## ◆ update()

update | ( |  | self | ) |

## ◆ updateProgress()

updateProgress | ( |  | self,
|  |  | newValue,
|  |  | newMax = None )

## Member Data Documentation

## ◆ background

background = background

## ◆ canvas

canvas

Initial value:
= Canvas(self.frame, height=height, width=width, bd=0,
highlightthickness=0, background=background)

## ◆ doLabel

doLabel = doLabel

## ◆ fillColor

fillColor = fillColor

## ◆ frame

frame = Frame(master, relief=appearance, bd=bd)

## ◆ height

height = height

## ◆ label

label

Initial value:
= self.canvas.create_text(self.canvas.winfo_reqwidth() / 2,
height / 2, text=labelText,
anchor="c", fill=labelColor,
font=self.labelFont)

## ◆ labelColor

labelColor = labelColor

## ◆ labelFont

labelFont = labelFont

## ◆ labelFormat

labelFormat = labelFormat

## ◆ labelText

labelText = labelText

## ◆ master

master = master

## ◆ max

max = max

## ◆ min

min = min

## ◆ orientation

str orientation = orientation

## ◆ scale

scale

Initial value:
= self.canvas.create_rectangle(0, 0, width, height,
fill=fillColor)

## ◆ value

value = value

## ◆ width

width = width